Spline (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.util.Spline class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.util
Class Spline

    java.lang.Object
      org.jgraph.util.Spline

public class Spline
extends Object

Interpolates given values by B-Splines.

Constructor Summary
`Spline(double[] xx, double[] yy)` Creates a new Spline.

Method Summary
`boolean` | `checkValues()` Used to check the correctness of this spline
`double` | `getDx(double x)` Returns the first derivation at x.
`double` | `getFastValue(double x)` Returns an interpolated value.
`double` | `getValue(double x)` Returns an interpolated value.
`void` | `setValues(double[] xx, double[] yy)` Set values for this Spline.
`void` | `solve(double[][] A, double[] b)` Solves Ax=b and stores the solution in b.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Spline

    public Spline(double[] xx,
                  double[] yy)

  Creates a new Spline.

Parameters:
  `xx` -
  `yy` -

Method Detail

### setValues

    public void setValues(double[] xx,
                          double[] yy)

  Set values for this Spline.

  Parameters:
    `xx` -
    `yy` -

### getValue

    public double getValue(double x)

  Returns an interpolated value.

  Parameters:
    `x` -
  Returns:
    the interpolated value

### getFastValue

    public double getFastValue(double x)

  Returns an interpolated value. To be used when a long sequence of values are required in order, but ensure checkValues() is called beforehand to ensure the boundary checks from getValue() are made

  Parameters:
    `x` -
  Returns:
    the interpolated value

### checkValues

    public boolean checkValues()

  Used to check the correctness of this spline

### getDx

    public double getDx(double x)

  Returns the first derivation at x.

  Parameters:
    `x` -
  Returns:
    the first derivation at x

### solve

    public void solve(double[][] A,
                      double[] b)

  Solves Ax=b and stores the solution in b.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.